<div class="mx-0 mx-sm-2" style="background-color: #fff; padding: 5px;    margin: 5px 10px;">
    <div class="row">
        <div class="col-12 d-flex mt-1">
            <i class="fa fa-filter fa-2x mr-4"></i>
            <span style="line-height: 30px;" class="mr-2">Date Range</span>
            <div class="input-group has-icon" style="width:240px;">
                <input id="txtDateRange" class="form-control px-1 px-sm-2 mr-1 date-picker" type="text"
                    style="cursor: pointer;" placeholder="search intents">
                <span class="input-group-append d-none d-sm-flex">
                    <label class="input-group-text border-0 mt-1 mb-1" onclick="$('#txtDateRange').click()">
                        <i class="fa fa-calendar"></i></label>
                </span></div>

        </div>


        <!-- <div class="col-10 col-sm-5 col-md-3 offset-2 offset-sm-0 offset-md-0  d-flex mt-1">
            <span style="line-height: 30px;">End Date<span style="color: #fff;">t
                </span></span>
            <input type='text' class="form-control date-picker ml-1" id="EndDate" style="width: 120px;" />

        </div> -->
    </div>

</div>

<div class="p-2 pb-3 mx-0 mx-sm-2" style="margin: 5px 10px;background: #fff;">

    <div class="row">
        <div class="col-12 col-sm-6 col-md-4 col-lg-3 pt-2">
            <div class="card-pills d-flex px-2 py-3">
                <div class="card-pills-icon">
                    <i class="fa fa-ticket fa-5x"></i>
                </div>
                <div class="card-pills-content text-right px-2">
                    <span class="card-count d-block" *ngIf="counts==null"><i
                            class="fa fa-refresh fa-spin"></i></span>
                    <span class="card-count d-block pt-1" *ngIf="counts!=null">{{counts.TotalConversation}}</span>
                    <span class="card-label d-block pt-4">Total Conversations</span>
                </div>
            </div>
        </div>
        <div class="col-12 col-sm-6 col-md-4 col-lg-3 pt-2">
            <div class="card-pills d-flex px-2 py-3" style="background-color: #0572cf;">
                <div class="card-pills-icon">
                    <i class="fa fa-envelope fa-5x"></i>
                </div>
                <div class="card-pills-content text-right px-2">
                    <span class="card-count d-block" *ngIf="counts==null"><i
                            class="fa fa-refresh fa-spin"></i></span>
                    <span class="card-count d-block pt-1" *ngIf="counts!=null">{{counts.TotalMessage}}</span>
                    <span class="card-label d-block pt-4">Total Messages</span>
                </div>
            </div>
        </div>
        <div class="col-12 col-sm-6 col-md-4 col-lg-3 pt-2">
            <div class="card-pills d-flex px-2 py-3" style="background-color: #d9534f;">
                <div class="card-pills-icon">
                    <i class="fa fa-users fa-5x"></i>
                </div>
                <div class="card-pills-content text-right px-2">
                    <span class="card-count d-block" *ngIf="counts==null"><i
                            class="fa fa-refresh fa-spin"></i></span>
                    <span class="card-count d-block pt-1" *ngIf="counts!=null">{{counts.TotalUserMessage}}</span>
                    <span class="card-label d-block pt-4">User Messages</span>
                </div>
            </div>
        </div>
        <div class="col-12 col-sm-6 col-md-4 col-lg-3 pt-2">
            <div class="card-pills d-flex px-2 py-3" style="background-color: #5cb85c;">
                <div class="card-pills-icon">
                    <i class="fa fa-cogs fa-5x"></i>
                </div>
                <div class="card-pills-content text-right px-2">
                    <span class="card-count d-block" *ngIf="counts==null"><i
                            class="fa fa-refresh fa-spin"></i></span>
                    <span class="card-count d-block pt-1" *ngIf="counts!=null">{{counts.TotalBotMessage}}</span>
                    <span class="card-label d-block pt-4">Bot Messages</span>
                </div>
            </div>
        </div>

    </div>
</div>

<div class="p-2 mx-0 mx-sm-2" style="margin:10px;background: #fff; min-height: 250px;">
    <div class="heading">
        <span class="h5" style="position: absolute; z-index: 9;">Tag Cloud</span>
        <div class="text-center p-5" *ngIf="tagCloud==null || tagCloud.length==0">
            <i class="fa fa-refresh fa-2x fa-spin" *ngIf="tagCloud==null"></i>
            <span class="h4" *ngIf="tagCloud!=null && tagCloud.length==0">No Data Found.</span>
        </div>
        <div id="tag-cloud" style="width:100%;height:350px;" *ngIf="tagCloud!=null && tagCloud.length>0">

        </div>
    </div>

</div>